# Generated from sessionm-resthome-0.8.11.gem by gem2rpm -*- rpm-spec -*-
%global gem_name sessionm-resthome

Name: rubygem-%{gem_name}
Version: 0.8.11
Release: 1%{?dist}
Summary: RESTful web services consumer
License: MIT
URL: http://github.com/sessionm/resthome
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(jeweler) >= 1.8.4
# BuildRequires: rubygem(jeweler) < 1.9
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(rspec-core)
# BuildRequires: rubygem(rspec-mocks)
# BuildRequires: rubygem(rspec-expectations)
# BuildRequires: rubygem(json)
# BuildRequires: rubygem(fakeweb)
BuildArch: noarch

%description
Simple wrapper class generator for consuming RESTful web services.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.rvmrc
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/VERSION
%{gem_libdir}
%{gem_instdir}/tasks
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/examples
%{gem_instdir}/sessionm-resthome.gemspec
%{gem_instdir}/spec

%changelog
* Wed Sep 15 2021 mockbuilder - 0.8.11-1
- Initial package
